Bug 1837413 - Backport changes needed by xdg-desktop-portal-gtk-1.6
Summary: Backport changes needed by xdg-desktop-portal-gtk-1.6
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: gnome-shell
Version: 8.3
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 8.0
Assignee: Florian Müllner
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks: 1775345
TreeView+ depends on / blocked
 
Reported: 2020-05-19 13:06 UTC by Jonas Ådahl
Modified: 2020-11-04 01:36 UTC (History)
5 users (show)

Fixed In Version: gnome-shell-3.32.2-17
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-04 01:35:29 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:4451 0 None None None 2020-11-04 01:35:50 UTC

Description Jonas Ådahl 2020-05-19 13:06:09 UTC
The window selection UI requires API exposed by the Shell which will need to be backported.

Comment 1 Florian Müllner 2020-05-22 19:35:03 UTC
I backported the following commits:

introspect: Include `sandboxed-app-id` as well
introspect: Check whitelist also for GetRunningWindows()
introspect: Fix whitelist check
introspect: Add helper to check method call permission
shell-util: Add API to check for X11 extensions
st/settings: Add API to inhibit animations
main: Inhibit animations when software rendered
main: Inhibit animations if X server advertises VNC-EXTENSION
main: Inhibit animations when there is a remote desktop session
introspect: Rename variable
introspect: Add AnimationsEnabled property

Does this look complete to you, or did I miss anything?

Comment 2 Jonas Ådahl 2020-05-26 12:14:49 UTC
> Does this look complete to you, or did I miss anything?

Looks correct.

Comment 6 Martin Krajnak 2020-07-28 07:58:43 UTC
xdg-desktop-portal-gtk-1.6.0-1.el8.x86_64
xdg-desktop-portal-1.6.0-2.el8.x86_64

I checked:
opening/saving files, printing via gedit/evince flatpaks,
screensharing portal,
screenshot portal and notification portal through Flatpak Developer Demo,

I found no issues.

Comment 9 errata-xmlrpc 2020-11-04 01:35:29 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: GNOME security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:4451


Note You need to log in before you can comment on or make changes to this bug.